<?php
if (($_SERVER["REQUEST_METHOD"] == "POST")) {
	include ('conexion/config.php');
	date_default_timezone_set("Europe/Madrid");
	$sesionDesde = date("Y-m-d H:i:A");

	// Evitar recibir las variables por metodo $_REQUEST['xxx'];
	// Limpiando variables para evitar inyeccion SQL
	// Filtramos el email que tenga el formato adecuado
	$email = filter_var($_REQUEST['emailUser'], FILTER_SANITIZE_EMAIL);
	if (filter_var($email, FILTER_VALIDATE_EMAIL)) {
		$emailUser = ($_REQUEST['emailUser']);
	}
	

	if ($emailUser != "") {
		//email correcto


		//buscamos en la bd un usuario con ese email
		$sqlVerificandoLogin = ("SELECT IdUser, nameUser, emailUser, passwordUser  FROM myusers WHERE emailUser COLLATE utf8_bin='$emailUser'");
		$resultLogin = mysqli_query($con, $sqlVerificandoLogin) or die (mysqli_error($con));		
		$numLogin = mysqli_num_rows($resultLogin);

		//echo $numLogin;

		if ($numLogin != 0) {
			while ($rowData = mysqli_fetch_assoc($resultLogin)) {

				$passwordUser = trim($_REQUEST['passwordUser']);
				$passwordBD = $rowData['passwordUser'];
				/**
				 * password_verify es una funcion de PHP que permite comprobar si la contraseña facilitada coincida con un hash, 
				 * retorna una respuesta de tipo booleano es decir (1 - 0) (TRUE - FALSE)
				 * ademas es capaz de encontrar la correspondencia entre cualquiera de los múltiples hash que puede generar password_hash 
				 */
				if (password_verify($passwordUser, $passwordBD)) {
					session_start(); //Creando la sesion ya que los datos son validos
					$_SESSION['IdUser'] = $rowData['IdUser'];
					$_SESSION['nameUser'] = $rowData['nameUser'];
					$_SESSION['emailUser'] = $rowData['emailUser'];
					$_SESSION['UserAdmin'] = $rowData['UserAdmin'];
	
					//Actualizando la primera Hora del Login
					$Update = ("UPDATE myusers SET sesionDesde='$sesionDesde' WHERE emailUser='$emailUser' ");
					$resultado = mysqli_query($con, $Update);
	
					//header("location:clientes.php");
				} else {
					//echo "Password incorrecta";
					header("location:login.php?b=1");	
				}
			}



		} else {
			//echo "Email no encontrado";
			header("location:login.php?f=1");	
		}		


	} else {
		//echo "Email no valido";
		header("location:login.php?e=1");
	}

}
